Name:           cifs-utils
Version:        6.10
Release:        5
Summary:        Utilities for doing and managing mounts of the Linux CIFS filesystem
License:        GPLv3+
URL:            http://linux-cifs.samba.org/cifs-utils/
Source0:        https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2

Patch0:         0001-CVE-2020-14342-mount.cifs-fix-shell-command-injectio.patch
Patch1:         0002-CVE-2021-20208.patch
Patch2:         1001-cifs.upcall-update-the-cap-bounding-set-only-when-CA.patch
Patch3:         1002-mount.cifs-update-the-cap-bounding-set-only-when-CAP.patch
Patch4:		0004-CVE-2022-27239.patch
Patch5:		0005-CVE-2022-29869.patch


BuildRequires:  python3-docutils libcap-ng-devel libtalloc-devel krb5-devel keyutils-libs-devel autoconf
BuildRequires:  automake libwbclient-devel pam-devel python3-samba pkg-config fdupes gcc
Provides:       pam_cifscreds
Obsoletes:      pam_cifscreds
Requires:       keyutils

%description
The in-kernel CIFS filesystem is generally the preferred method for mounting
SMB/CIFS shares on Linux.

The in-kernel CIFS filesystem relies on a set of user-space tools. That package
of tools is called cifs-utils.Although not really part of Samba proper, these
tools were originally part of the Samba package. For several reasons, shipping
these tools as part of Samba was problematic and it was deemed better to split
them off into their own package.

%package devel
Summary: Files needed for building plugins for cifs-utils

%description devel
The SMB/CIFS protocol is a standard file sharing protocol widely deployed
on Microsoft Windows machines. This package contains the header file
necessary for building ID mapping plugins for cifs-utils.

%package help
Summary: Including man files for cifs-utils
Requires: man

%description   help
This contains man files for the using of cifs-utils.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -i
%configure  --prefix=/usr --with-pamdir=%{_libdir}/security  ROOTSBINDIR=%{_sbindir}
sed -i '/mount.smb3/d' Makefile.in
sed -i '/mount.smb3/d' Makefile.am
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_libdir}/%{name}/idmapwb.so %{buildroot}%{_sysconfdir}/%{name}/idmap-plugin
mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/*
%{_sbindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/idmapwb.so
%{_libdir}/security/pam_cifscreds.so
%dir %{_sysconfdir}/cifs-utils
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%ghost  %config(noreplace) %{_sysconfdir}/cifs-utils/idmap-plugin

%files devel
%{_includedir}/cifsidmap.h

%files help
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Thu May 5 2022 yanglongkang <yanglongkang@h-partners.com> - 6.10-5
- Fix CVE-2022-27239 and CVE-2022-29869

* Tue Nov 23 2021 konglidong <konglidong@uniontech.com> - 6.10-4
- sync patch from Upstream　for fix capng apply for libcap-ng-0.8.1

* Tue Aug 17 2021 haowenchao <haowenchao@huawei.com> - 6.10-3
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Sat May 8 2021 yanglongkang <yanglongkang@huawei.com> - 6.10-2
- Fix CVE-2021-20208

* Thu Sep 24 2020 volcanodragon <linfeilong@huawei.com> - 6.10-1
- Type:CVE
- ID:CVE-2020-14342
- SUG:restart
- DESC:fix CVE-2020-14342

* Wed Apr 15 2020 Miaohe Lin <linmiaohe@huawei.com> - 6.10-0
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:Upgrade Package to 6.10

* Fri Aug 30 2019 zoujing<zoujing13@huawei.com> - 6.8-5
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:openEuler Debranding

* Tue Aug 20 2019 zoujing<zoujing13@huawei.com> - 6.8-4
- Type:enhancemnet
- ID:NA
- SUG:restart
- DESC:openEuler Debranding

* Tue Aug 20 2019 zhanghaibo <ted.zhang@huawei.com> - 6.8-3
- correct patch name

* Tue Jul 23 2019 liujiawen <liujiawen10@huawei.com> - 6.8-2.2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:mount.cifs: fix memory leaks

* Wed Jul 10 2019 zhangyujing <zhangyujing1@huawei.com> - 6.8-2.1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:setcifsacl: fix adding ACE when owner sid in unexpected location
       cifs.upcall: fix a compiler warning

* Mon Jul 1 2019 zoujing<zoujing13@huawei.com> - 6.8-2
-  Package Initialization

